package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.scene.SceneAccidentParam;
import api.common.pojo.param.scene.SceneDeleteParam;
import api.common.pojo.po.scene.SceneAccidentPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SceneAccidentMapper {
    void saveSceneAccident(SceneAccidentPO params);
    void saveSceneAccidentList(List<SceneAccidentPO> list);
    List<SceneAccidentPO> querySceneAccidentList(SceneAccidentParam params);
    List<SceneAccidentPO> querySceneAccidentListByQx(SceneAccidentParam params);
    List<SceneAccidentPO> querySceneAccidentListByXlk(SceneAccidentParam params);
    List<SceneAccidentPO> querySceneAccidentListByBq(SceneAccidentParam params);
    List<SceneAccidentPO> querySceneAccidentListByBqAndQx(SceneAccidentParam params);
    void deleteSceneAccidentList(SceneAccidentPO params);
    SceneAccidentPO querySceneAccidentByNmae(SceneAccidentPO sceneAccidentPO);
    List<SceneAccidentPO> selectAllByName(SceneAccidentPO sceneAccidentPO);
    void updateSceneAccident(SceneAccidentPO params);
    void updateSceneAccidentList(List<SceneAccidentPO> list);
    SceneAccidentPO querySceneAccidentById(String id);
    List<String> selectIdsByNames(@Param("list")List<String> list);
    void deleteBySceneNames(SceneDeleteParam sceneDeleteParam);
}
